Skip to main content
`Ctrl`+`K`

# NEPCISSSetThreshold

Sets the values of various threshold parameters in the CISS solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetThreshold(NEP nep,PetscReal delta,PetscReal spur)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- delta - threshold for numerical rank

- spur - spurious threshold (to discard spurious eigenpairs)

## Options Database Keys

- -nep_ciss_delta <delta> - sets the delta

- -nep_ciss_spurious_threshold <spur> - sets the spurious threshold

## Notes

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

For a detailed description of the parameters see [Maeda et al., 2016].

## References

[Mae16]

Y. Maeda, T. Sakurai, and J. E. Roman. Contour integral spectrum slicing method in SLEPc. Technical Report STR-11, Universitat Politècnica de València, 2016. URL: https://slepc.upv.es/documentation.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCISS`, `NEPCISSGetThreshold()`

## Level

advanced

## Location

src/nep/impls/ciss/nciss.c

## Implementations

NEPCISSSetThreshold_CISS() in src/nep/impls/ciss/nciss.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages